jQuery(document).ready(function ($) {

	"use strict"

	var notices = $('.emergencyWP-notice');

	notices
		.on('click', '.notice-dismiss, .dismiss', function (event) {

			event.preventDefault();

			var el = $(this).closest('.emergencyWP-notice'),
				id = el.data('id');

			if (event.altKey) el = notices;

			if (id) {
				_ajax({
					id: id
				});
				el.fadeTo(100, 0, function () {
					el.slideUp(100, function () {
						el.remove();
					});
				})
			}
		});



	function _ajax(data) {

		if ($.isFunction(data)) {
			data = {};
		}
		$.ajax({
			type: 'POST',
			url: ajaxurl,
			data: $.extend({
				action: 'emergencyWP_notice_dismiss'
			}, data),
			success: function (data, textStatus, jqXHR) {
			},
			error: function (jqXHR, textStatus, errorThrown) {
				if (textStatus == 'error' && !errorThrown) return;
				if (console) console.error($.trim(jqXHR.responseText));
			},
			dataType: "JSON"
		});
	}


});