<?php

/**
 *	JOB: Hold A
 **/
 
defined( 'ABSPATH' ) or die( "No script kiddies please!" );

// check date of last
if ( !isset($aliveStatus) ) {
	$aliveStatus = emergencyWPJobController::getAliveStatus();
}
if ( !isset($jobSettings) ) {
	$jobSettings = emergencyWPJobController::getJobSettings();
}

if( ( $aliveInfo['jobEmails']['holdA'] + $jobSettings['live_status_holdA_reminderTime'] ) <= time() ){
	 /**
	 * 	Mandator has not responded to the feedback e-mail (live_status_holdA_noFeedbackTime) has expired!
	 *	Sending System Reminder email for the Confirmation
	 */	
	emergencyWPSystemEmails::setStd();
	emergencyWPSystemEmails::$aliveInfo = $aliveInfo['jobStatus'];
	emergencyWPSystemEmails::$postStatus = 'life_status_reminder';
	emergencyWPSystemEmails::sendEmail();
	if( emergencyWPSystemEmails::$sendStatus ) {
		// update jobstatus
		emergencyWPJobController::setAliveStatus( 'finalHoldA');
	} else {
		// system Error log ... to be continued
	}
}
?>
