<?php

require_once __DIR__ . DIRECTORY_SEPARATOR . 'data' . DIRECTORY_SEPARATOR . 'DashboardWidgets.php';
require_once __DIR__ . DIRECTORY_SEPARATOR . 'data' . DIRECTORY_SEPARATOR . 'EmailPlaceholdersTags.php';
require_once __DIR__ . DIRECTORY_SEPARATOR . 'data' . DIRECTORY_SEPARATOR . 'LifeCheck.php';
require_once __DIR__ . DIRECTORY_SEPARATOR . 'data' . DIRECTORY_SEPARATOR . 'UserStatus.php';
require_once __DIR__ . DIRECTORY_SEPARATOR . 'data' . DIRECTORY_SEPARATOR . 'EWPSettingsData.php';
require_once __DIR__ . DIRECTORY_SEPARATOR . 'data' . DIRECTORY_SEPARATOR . 'EWP_ShortCodes.php';

class EWP_classAutoloader
{

    public static function load($className)
    {
        if (strpos($className, 'emergencyWP') !== false) {
            $path = __DIR__ . DIRECTORY_SEPARATOR . 'class.' . $className . '.php';
            if (file_exists($path)) {
                require_once $path;
            } else {
                return false;
            }
        }

        do_action('emergencywp/loaded');
    }
}

?>