<?php


class LifeCheck
{
   public static function getLifeCheckFrequency($key) {
       $lifeCheckFrequency = array(
           '86400'    => '24 hours',
           '345600'   => '4 days',
           '604800'   => '7 days',
           '1209600'  => '14 days',
           '2592000'  => '30 days',
           '2629800'  => '1 month',
           '7889400'  => '3 months',
           '15778800' => '6 months',
           '0'        => 'Pause (not recommended)',
           '3600'     => '1 hour (testing!)',
           '120'      => '2 minutes (testing!)'
       );

       return __($lifeCheckFrequency[$key],'emergencywp');
   }

    public static function getReactionTime($key) {
        $reminderOptions = emergencyWPAdmin::$reminderOptions;
        $reminderOptions = apply_filters('wpEmergency_reminder_options', $reminderOptions);

        return __($reminderOptions[$key],'emergencywp');
    }
}