<?php

require_once "../cron/cron_config.php";

$error = array( 'status' => 'error', 'data' => array() );

if( !isset($_POST['pId']) or !is_numeric($_POST['pId']) or intval($_POST['pId']) == 0 ) $error['data'][] = "No valid Post ID transmitted!";
if( !isset($_POST['meta_key']) && !isset($_POST['single'] )) $post_meta = get_post_meta( intval($_POST['pId']) );
else {
	$post_meta = get_post_meta( intval($_POST['pId']), sanitize_text_field($_POST['meta_key']), sanitize_text_field(@$_POST['single']) );
}
if( count( $error['data'] ) ){
	echo json_encode( $error );
} else {
	if( ! empty( $post_meta ) ){
		if( is_array( $post_meta ) ) {
			echo json_encode( array( 'status' => 'success', 'data' => $post_meta ) );
		} else {
			echo json_encode( array( 'status' => 'success', 'data' => array( $_POST['meta_key'] => $post_meta ) ) );
		}
	} else {
		echo json_encode( array( 'status' => 'success', 'data' => array() ) );
	}
}
?>