<?php

require_once EMERGENCY_WP_PLUGIN_DIR ."cron/cron_config.php";

$error = array('status' => 'error', 'data' => array());

if (is_multisite()) {
    $blogId = get_current_blog_id();
    emergencyWPJobController::setBlogId($blogId);
}

if (count($error['data'])) {
    echo json_encode($error);
} else {

    emergencyWPJobController::setAliveStatus('alive', 'backend', 'Reset Status');

    if(class_exists('EmergencyWPVaults')) {
        $args = array(
            'posts_per_page' => -1,
            'offset' => 0,

            'include' => '',
            'exclude' => '',
            'meta_key' => '',
            'meta_value' => '',
            'post_type' => EmergencyWPVaults::$postTypeSlug,
            'post_mime_type' => '',
            'post_parent' => '',
            'post_status' => 'any',
            'suppress_filters' => true
        );
        $vaults = emergencyWPAdmin::getWpPost($args);
        foreach ($vaults as $vault) {
            update_post_meta(
                $vault->ID,
                'vault_enable_dead_access',
                0
            );
        }
    }

    $args = array(
        'posts_per_page' => -1,
        'offset' => 0,

        'include' => '',
        'exclude' => '',
        'meta_key' => '',
        'meta_value' => '',
        'post_type' => 'emergencywp_messages',
        'post_mime_type' => '',
        'post_parent' => '',
        'post_status' => 'any',
        'suppress_filters' => true
    );

    $messages = emergencyWPAdmin::getWpPost($args);

    if (count($messages)) {
        foreach ($messages as $message) {
            update_post_meta(
                $message->ID,
                emergencyWPMessages::$postTypeSlug . '_sent',
                0
            );
        }
    }
    emergencywp_update_option('zapier-trigger-process-finished', '0');
    emergencywp_update_option('zapier-trigger-final-holdA', '0');

    echo json_encode(array('status' => 'success', 'data' => array()));
}
?>