//
jQuery(document).ready(function () {
    /**
     *    ADMIN TOOLS
     *    ##################################################################
     */
    /** SEND TESTEMAIL TO CLIENT - FROM SETTINGS **/
    var parent = getUrlVars()["parent"];
    var post_type = getUrlVars()["post_type"];
    if (post_type == 'emergencywp_messages') {
        jQuery('#toplevel_page_emergencywp').removeClass('wp-not-current-submenu');
        jQuery('#toplevel_page_emergencywp').addClass('wp-has-current-submenu');
        jQuery('#toplevel_page_emergencywp > a').addClass('wp-has-current-submenu');
        jQuery('#toplevel_page_emergencywp').addClass('wp-menu-open');
        jQuery('a[href="edit.php?post_type=emergencywp_messages"]').addClass('current');
        jQuery('a[href="edit.php?post_type=emergencywp_messages"]').parent().addClass('current');
    }
    jQuery('#send-emergencyWP_client-testemail').on('click', function (node) {
        jQuery('.emergencyWP_ajax_button_status .error').removeClass('active');
        jQuery('.emergencyWP_ajax_button_status .success').removeClass('active');
        jQuery('.emergencyWP_ajax_button_status .no-license').removeClass('active');
        jQuery('.emergencyWP_ajax_button_status .sending').addClass('active');

        var blogId = jQuery(this).attr('data-blog-id');
        var jqxhr = jQuery.ajax({
            method: 'POST',
            type: 'post',
            url: emergencywp.ajaxurl + '?action=emergencywp_send_test_email',
            data: {blogId: blogId},
            error: function (res) {
                jQuery('.emergencyWP_ajax_button_status .sending').removeClass('active');
                jQuery('.emergencyWP_ajax_button_status .error').addClass('active');
            }

        })
        jqxhr.done(function (res) {
            jQuery('.emergencyWP_ajax_button_status .sending').removeClass('active');
            if (res == '1') {
                jQuery('.emergencyWP_ajax_button_status .success').addClass('active');
            } else if (res == 'no-license') {
                jQuery('.emergencyWP_ajax_button_status .no-license').addClass('active');
            } else {
                jQuery('.emergencyWP_ajax_button_status .error').addClass('active');
            }
        });
    });

    /** RESET ALIVE STATUS - DEBUG MODE **/
    jQuery('#resetAliveStatus').on('click', function () {
        jQuery('#resetAliveStatusModal').modal('show');
    })

    jQuery('.display_email').on('click', function () {
        var target = jQuery(this).data('target');
        var href = jQuery(this).data('href');
        jQuery(target).modal('show');
        jQuery.ajax({
            url: href,
            type: 'GET',
            success: function (data) {
                jQuery(target + ' .modal-content').html(data);
            }
        });
        return false;
    });
    jQuery('#reset-aliveStatus-confirmed').on('click', function () {
        var blogId = jQuery(this).attr('data-blog-id');

        jqxhr = resetAliveStatus(blogId);

        jqxhr.done(function (res) {
            if (res.status === 'success') {
                var buttonText = jQuery('#resetAliveStatus').text() + ' <i class="fa fa-spinner fa-spin"></i>';
                jQuery('#resetAliveStatus').removeClass('btn-warning').addClass("btn-success").html(buttonText);
                // activeTab
                setTimeout(function () {
                    redirectTo('?page=emergencywp&subpage=debug')
                }, 250)
            } else {
                jQuery('#resetAliveStatus').removeClass('btn-warning, btn-danger').addClass("btn-danger");
            }
        });

        jQuery('#resetAliveStatusModal').modal('hide');
    });

    /**
     *    Trustees
     */
    //** if user change email-address throw confirm message **/
    jQuery('#emergencyWP_trusty-submit').on('click', function (e) {
        e.preventDefault();

        var form = jQuery('#post');

        if (jQuery('#hidden_hashCode_set').val() === '') {
            form.submit();
        } else {
            var post_id = jQuery('#hidden_post_id').val(),
                newEmail = jQuery('#emergencywp_trustees_email').val()
            jqxhr = getPostMeta(post_id, 'emergencywp_trustees_email', true),
                emailModal = jQuery('#trustyNewEmailModal');

            jqxhr.done(function (res) {
                if (res.data.emergencywp_trustees_email !== newEmail) {
                    emailModal.modal('show');
                } else {
                    form.submit();
                }
            });

            jQuery('#modal-trusty-newEmail-confirmed').on('click', function () {
                emailModal.modal('hide');
                form.submit();
            });
        }
    });

    var inputRangeSliders = jQuery('.range-input');
    inputRangeSliders.each(function (i, elm) {
        var showValue = jQuery(this).find('.input-group-addon input');
        var slider = jQuery(this).find('input[type="range"]');
        slider.mousemove(function () {
            var rangeValue = jQuery(this).val();
            showValue.val(rangeValue);
        });
        showValue.on('change', function () {
            slider.val(jQuery(this).val());
        })
    })

    jQuery('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
        jQuery('#activeTab').val(e.target.getAttribute('aria-controls'));
    })

    jQuery('.manual-accordion .item .head h4').on('click', function () {
        jQuery(this).parent().parent().siblings().find('.body').hide();
        jQuery(this).parent().next().toggle();
    });

    var clipboard = new ClipboardJS('.clipboard');

    clipboard.on('success', function (e) {
        var html = jQuery(e.trigger).html();
        jQuery(e.trigger).html(emergencywpClipboardValue.copied);
        setTimeout(function () {
            jQuery(e.trigger).html(html);
            e.clearSelection();
        }, 3000);
    });

    clipboard.on('error', function (e) {
    });
});

/**
 * FUNCTIONS
 */
function getPostMeta(pId, key, single) {
    return jQuery.ajax({
        type: 'POST',
        data: {pId: pId, meta_key: key, single: single},
        dataType: 'json',
        url: emergencywp.EMERGENCY_WP_PLUGIN_URL + 'ajax/get_post_meta.php',
        success: function (res) {
        },
        error: function (res) {
            console.log('error');
            console.log(res);
            console.log('##########');
        }

    });
};

function resetAliveStatus(blogId) {
    return jQuery.ajax({
        type: 'POST',
        data: {blogId: blogId, action: 'resetAliveStatus'},
        dataType: 'json',
        url: emergencywp.ajaxurl,
        success: function (res) {
        },
        error: function (res) {
            console.log('error');
            console.log(res);
            console.log('##########');
        }

    });
}

function redirectTo(url) {
    if (url == undefined) {
        url = emergencywp.EMERGENCY_WP_FRONTEND_URL + 'wp-admin/';
    }
    jQuery(location).attr('href', url);
}

function deactivatePluginSettingsChanged() {
    var selectedOption = jQuery('#user_option_deactivate_plugin').children("option:selected").val();
    if (selectedOption == '1') {
        if (!confirm("Are you sure you want to loose all your contacts, messages and settings from EmergencyWP when uninstalling your plugin?")) {
            jQuery('#user_option_deactivate_plugin').val("0");
        } else {
            jQuery('#settings-save').click();
        }
    } else {
        jQuery('#settings-save').click();
    }
}

function getUrlVars() {
    var vars = [], hash;
    var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
    for (var i = 0; i < hashes.length; i++) {
        hash = hashes[i].split('=');
        vars.push(hash[0]);
        vars[hash[0]] = hash[1];
    }
    return vars;
}

jQuery(document).ready(function ($) {
    $('#the-list #emergencywp-plugin-disable-link').click(function (e) {
        e.preventDefault();

        var reason = $('#emergancyWP-feedback-content .emergancyWP-reason'),
            deactivateLink = $(this).attr('href');

        $("#emergancyWP-feedback-content").modal('show');
        // .dialog({
        //     title: 'EmergencyWP Feedback',
        //     dialogClass: 'emergancyWP-feedback-form',
        //     resizable: false,
        //     minWidth: 430,
        //     minHeight: 300,
        //     modal: true,
        //     buttons: {
        //         'go' : {
        //             text: 'Submit',
        //             icons: { primary: "dashicons dashicons-update" },
        //             id: 'emergancyWP-feedback-dialog-continue',
        //             class: 'button deactivation-skip-popup-button',
        //             click: function() {
        //                 var dialog = $(this),
        //                     go = $('#emergancyWP-feedback-dialog-continue'),
        //                     form = dialog.find('form').serializeArray(),
        //                     result = {};
        //                 $.each( form, function() {
        //                     if ( '' !== this.value ){
        //                         result[ this.name ] = this.value;
        //                         jQuery('input[name='+ this.name+ ']').css('border-color','#ddd');
        //                         jQuery('textarea[name='+ this.name+ ']').css('border-color','#ddd');
        //                     } else {
        //                         if( jQuery('#ux_rdl_reason').attr('checked') == 'checked' ){
        //                             jQuery('input[name='+ this.name+ ']').css('border-color','#D43F3F');
        //                             jQuery('textarea[name='+ this.name+ ']').css('border-color','#D43F3F');
        //                             result = {};
        //                         }
        //                     }
        //                 });
        //                 jQuery("#ux_frm_deactivation_popup_mail_bank").validate({
        //                     rules:{
        //                         ux_txt_email_address_mail_bank:
        //                             {
        //                                 email: true
        //                             }
        //                     }
        //                 });
        //                 if( jQuery('#ux_rdl_reason').attr('checked') == 'checked' ){
        //                     if ( jQuery("#ux_txt_email_address_mail_bank").hasClass('error') ) {
        //                         jQuery('input[name=ux_txt_email_address_mail_bank]').css('border-color','#D43F3F');
        //                         result = {};
        //                     }
        //                 }
        //                 if ( ! jQuery.isEmptyObject( result ) ) {
        //                     result.action = 'post_user_feedback_mail_bank';
        //                     $.ajax({
        //                         url: post_feedback.admin_ajax,
        //                         type: 'POST',
        //                         data: result,
        //                         error: function(){},
        //                         success: function(msg){},
        //                         beforeSend: function() {
        //                             go.addClass('emergancyWP-ajax-progress');
        //                         },
        //                         complete: function() {
        //                             go.removeClass('emergancyWP-ajax-progress');
        //                             dialog.dialog( "close" );
        //                             location.href = deactivateLink;
        //                         }
        //                     });
        //                 }
        //             },
        //         },
        //         'cancel' : {
        //             text: 'Cancel',
        //             id: 'emergancyWP-feedback-cancel',
        //             class: 'button deactivation-cancel-popup-button',
        //             click: function() {
        //                 $( this ).dialog( "close" );
        //             }
        //         },
        //         'skip' : {
        //             text: 'Skip',
        //             id: 'emergancyWP-feedback-dialog-skip',
        //             class: 'button deactivation-skip-popup-button',
        //             click: function() {
        //                 $( this ).dialog( "close" );
        //                 location.href = deactivateLink;
        //             }
        //         },
        //     }
        // });
        $('#deactivation-feedback-skip').click(function () {
            $("#emergancyWP-feedback-content").modal('hide');
            location.href = deactivateLink;
        });
        $('#deactivation-feedback-submit').click(function () {
            var result = {};
            var form = $("#emergancyWP-feedback-content").find('form').serializeArray();
            $.each(form, function () {
                if ('' !== this.value) {
                    result[this.name] = this.value;
                    jQuery('input[name=' + this.name + ']').css('border-color', '#ddd');
                    jQuery('textarea[name=' + this.name + ']').css('border-color', '#ddd');
                } else {
                    if (jQuery('#emergencyWP-expectation-form').attr('checked') == 'checked' || jQuery('#emergencyWP-ticket-form').attr('checked') == 'checked') {
                        jQuery('input[name=' + this.name + ']').css('border-color', '#D43F3F');
                        jQuery('textarea[name=' + this.name + ']').css('border-color', '#D43F3F');
                        result = {};
                    }
                }
            });
            if (!jQuery.isEmptyObject(result)) {
                $('#deactivation-feedback-submit').addClass('emergancyWP-ajax-progress');
                result.action = 'post_emergencyWP_feedback';
                $.ajax({
                    url: "https://emergencywp.net/feedback.php",
                    type: 'POST',
                    data: result,
                    error: function () {
                    },
                    success: function (msg) {
                    },
                    beforeSend: function () {
                    },
                    complete: function () {
                        $('#deactivation-feedback-submit').removeClass('emergancyWP-ajax-progress');
                        $("#emergancyWP-feedback-content").modal('hide');
                        location.href = deactivateLink;
                    }
                });
            }
        });

        reason.change(function () {
            $('.emergancyWP-submit-feedback').hide();
            if ($(this).hasClass('emergancyWP-support')) {
                $('#emergancyWP-deactivate-reasons').find('.emergancyWP-submit-feedback').show();
            }
        });
    });
    $('.ui-dialog-titlebar').append('<span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span>');

    if (jQuery('.ewp-delivery-tabs').length > 0) {
        jQuery('.ewp-delivery-tabs ul li a').click(function () {
            jQuery('.ewp-delivery-tabs ul li').removeClass('active');
            jQuery(this).parent().addClass('active');

            var id = jQuery(this).attr('href');
            var value = jQuery(this).data('value');
            jQuery('.ewp-delivery-tabs .ewp-tab').hide();
            jQuery('.ewp-delivery-tabs .ewp-tab' + id).show();
            jQuery('#component_emergencyWPDeliveryConditions_type').val(value);

            //window.scrollTo(0, 0)
            return false;
        })
    }

    $('#emergencywp-delivery-conditions_absolute_enabled').click(function () {
        if ($(this).prop("checked") == true) {
            $('#emergencywp-delivery-conditions_relative_enabled').prop("checked", false);
            $('#emergencywp-delivery-conditions_recurring_enabled').prop("checked", false);
            $('#delivery-conditions-recurring-settings .delivery-conditions-fields').addClass('disabled');
            $('#delivery-conditions-relative-settings .delivery-conditions-fields').addClass('disabled');
            $('#delivery-conditions-absolute-settings .delivery-conditions-fields').removeClass('disabled');
        } else {
            $('#delivery-conditions-absolute-settings .delivery-conditions-fields').addClass('disabled');
        }
    });

    $('#emergencywp-delivery-conditions_relative_enabled').click(function () {
        if ($(this).prop("checked") == true) {
            $('#emergencywp-delivery-conditions_absolute_enabled').prop("checked", false);
            $('#emergencywp-delivery-conditions_recurring_enabled').prop("checked", false);
            $('#delivery-conditions-recurring-settings .delivery-conditions-fields').addClass('disabled');
            $('#delivery-conditions-absolute-settings .delivery-conditions-fields').addClass('disabled');
            $('#delivery-conditions-relative-settings .delivery-conditions-fields').removeClass('disabled');
        } else {
            $('#delivery-conditions-relative-settings .delivery-conditions-fields').addClass('disabled');
        }
    });

    $('#emergencywp-delivery-conditions_recurring_enabled').click(function () {
        if ($(this).prop("checked") == true) {
            $('#emergencywp-delivery-conditions_absolute_enabled').prop("checked", false);
            $('#emergencywp-delivery-conditions_relative_enabled').prop("checked", false);
            $('#delivery-conditions-relative-settings .delivery-conditions-fields').addClass('disabled');
            $('#delivery-conditions-absolute-settings .delivery-conditions-fields').addClass('disabled');
            $('#delivery-conditions-recurring-settings .delivery-conditions-fields').removeClass('disabled');
        } else {
            $('#delivery-conditions-recurring-settings .delivery-conditions-fields').addClass('disabled');
        }
    });

    var form = jQuery('.post-type-emergencywp_messages form#post');
    if (form.length) {
        var submit = form.find('#publish');

        submit.click(function (e) {
            jQuery('#publishing-action .spinner').css('visibility', 'visible');
            var error = 0;
            jQuery('#emergencywp_messages_meta_box_contacts .ewp-notice').hide();

            if (jQuery('#emergencywp_messages_meta_box_contacts input:checkbox:checked').length == 0) {
                error++;
                jQuery('#emergencywp_messages_meta_box_contacts .ewp-notice').show();
            }

            if (error > 0) {
                e.preventDefault();
                if (jQuery('#ewp_error_meta_box .ewp-notice #content').length == 0) {
                    jQuery('form#post').prepend('<div id="ewp_error_meta_box" class="ewp_meta_box">' +
                        '            <div class="ewp-notice -error ewp-error-message">' +
                        '                <p id="content"></p>' +
                        '            </div>' +
                        '        </div>');
                }

                jQuery('#ewp_error_meta_box .ewp-notice #content').html('Validation failed: you have ' + error + ' errors, please see below!');
                jQuery('html, body').animate({
                    scrollTop: jQuery("#ewp_error_meta_box .ewp-notice #content").offset().top - 80
                }, 1000);
                jQuery('#ewp_error_meta_box .ewp-notice').show();
                jQuery('#publishing-action .spinner').css('visibility', 'hidden');
            }
        })

    }
});

function enableCronSettings() {
    jQuery('input.cron_radio').on('change', function () {
        jQuery('.cron_opts').hide();
        jQuery('.' + jQuery(this).val()).show();
    });

    jQuery('.switch-cron-url').on('click', function () {
        jQuery('.cron_opts').toggleClass('alternative-cron');
        return false;
    });
}