<?php

/**
 *	JOB: alive
 **/
 
defined( 'ABSPATH' ) or die( "No script kiddies please! ");

// check date of last 
if ( !isset($aliveStatus) ) {
	$aliveStatus = emergencyWPJobController::getAliveStatus();
}
if ( !isset($jobSettings) ) {
	$jobSettings = emergencyWPJobController::getJobSettings();
}

$diff = time() - ewp_mysqlDate2timestamp( $aliveInfo['lastFeedback'], 0 );
if($debugMode) {
    echo esc_html('Diff:'.esc_attr($diff));
}
/**
 *	Check live_status_holdA_noFeedbackTime (Period of time without a response from mandator)
 */
if( $jobSettings['live_status_holdA_noFeedbackTime'] > 0 && $diff >= $jobSettings['live_status_holdA_noFeedbackTime'] ){
	// time is up - do job
	// call adminSystemEmail class
	emergencyWPSystemEmails::setStd();
	emergencyWPSystemEmails::$aliveInfo = $aliveInfo['jobStatus'];
	emergencyWPSystemEmails::$postStatus = 'life_status';
	emergencyWPSystemEmails::sendEmail();

	if( emergencyWPSystemEmails::$sendStatus ) {
		// update jobstatus
		emergencyWPJobController::setAliveStatus( 'holdA' );
	} else {
		// system Error log ... to be continued
	}
}
?>