<?php
class emergencyWPUninstall {

	function load(){
		//self::deleteTrusteesActivatePage();

        $eraseDataSetting = get_option(EWPSettingsData::PLUGIN_ERASE_DATA);
		if($eraseDataSetting == '1'){
            delete_option(EWP_SL_LICENSE_KEY);
            delete_option(EWP_SL_LICENSE_STATUS_KEY);
            delete_option('cron_service');
            delete_option(UserStatus::RESPONSE_TIME_USER);
            delete_option(UserStatus::RESPONSE_TIME_TRUSTEE);
            delete_option('cron_service');
            emergencyWPAdmin::deleteCustomPosts(emergencyWPContacts::$postTypeSlug);
            emergencyWPAdmin::deleteCustomPosts(emergencyWPMessages::$postTypeSlug);
            emergencyWPAdmin::deleteCustomPostsWithCustomQuery(emergencyWPSystemEmails::$postTypeSlug);
            emergencyWPAdmin::deleteEmergencyWPOptionsCustomQuery();
        }
	}
	
	static function deleteTrusteesActivatePage() {
		
		$pageVars = array(
			'pageTitle' => EWP_initPluginVars::$pluginPages['trustees_activate']['title'],
			'pageSlug' => EWP_initPluginVars::$pluginPages['trustees_activate']['slug'],
			'pageId' => EWP_initPluginVars::$pluginPages['trustees_activate']['pageId']
		);
		self::deletePage( $pageVars );
	}
	
	static function deletePage( $pageVars ){
		global $wpdb;
		
		//emergencywp_trustees_activate_page_
		$pageTitle = get_option( $pageVars['pageTitle'] );
		$pageSlug = get_option( $pageVars['pageSlug'] );

		//  the id of our page...
		$pageId = get_option( $pageVars['pageId'] );
		if( $pageId ) {
			wp_delete_post( $pageId ); // this will trash, not delete
		}

		delete_option( $pageVars['pageTitle'] );
		delete_option( $pageVars['pageSlug'] );
		delete_option( $pageVars['pageId'] );
	}
}
?>