<?php

abstract class UserStatus
{
    const ALIVE = 'alive';
    const HOLD_A = 'holdA';
    const HOLD_B = 'holdB';
    const FINAL_HOLD_A = 'finalHoldA';
    const FINAL_HOLD_B = 'finalHoldB';
    const FINAL_HOLD_C = 'finalHoldC';
    const FINAL_HOLD_C_TRUSTEES_INFO = 'finalHoldCTrusteesInfo';
    const FINAL_HOLD_C_MANDATOR = 'finalHoldCMandator';
    const FINAL_HOLD_C_TRUSTEES_CONFIRM = 'finalHoldCTrusteesConfirm';
    const FINAL_HOLD_D = 'finalHoldD';
    const NO_REACTIONS_A = 'noReactionsA';
    const NO_REACTIONS_B = 'noReactionsB';
    const UNKNOWN = 'unknown';
    const DEAD = 'dead';
    const MESSAGE_NOTIFICATION = 'message_notification';

    //TODO remove verified status from here and build email filename differentyl not using alive info
    const VERIFIER_CONFIRM = 'verifier_confirm';
    const VERIFIER_REMINDER = 'verifier_reminder';
    const VERIFIER_EMAIL_ACCEPTANCE = 'verifier_email_acc';
    const VERIFIER_EMAIL_REJECTION = 'verifier_email_rej';
    const VERIFIER_EMAIL_UPDATE = 'verifier_email_upd';
    const EMERGENCY_EMAIL = 'emergency_email';
    const EMERGENCY_VERIFY_EMAIL = 'emergency_verify_email';
    const EMERGENCY_USER_EMAIL = 'emergency_user_email';
    const EMERGENCY_TRUSTEE_EMAIL = 'trigger_trustee';
    const TRUSTEES_EMAIL_CONFIRM = 'trustee_email_conf';
    const TRUSTEE_EMAIL_CHANGED = 'trustee_email_change';

    const RESPONSE_TIME_USER = 'ewp_response_time_user';
    const RESPONSE_TIME_TRUSTEE = 'ewp_response_time_trustee';
    const VAULT_INVITATION = 'ewp_vault_invitation'; 
    const VAULT_ACCESS = 'ewp_vault_access';
    const VAULT_CREATE_ACCOUNT = 'ewp_vault_create_account';
}