<?php
global $emergencyWP,$current_user;
/**
 *    HTML OUTPUT
 */
emergencyWPSystemEmails::generateEmailList();
$emailList = emergencyWPSystemEmails::getEmailsArray();

if (isset($_POST['settings-email-template-save'])) {
    if (isset($_POST[emergencyWPSystemEmails::$postTypeSlug . "_message"])) {
        $emailId = intval($_POST['emailId']);
        foreach ($emailList AS $emailListItem) {
            if ($emailListItem['id'] == $emailId) {
                $emailFile = $emailListItem['aliveInfo'];
                $emailAddOn = $emailListItem['add_on'];
            }
        }

        $headers = array(
            'Subject' => sanitize_text_field($_POST[emergencyWPSystemEmails::$postTypeSlug . "_subject"]),
            'Description' => sanitize_text_field($_POST[emergencyWPSystemEmails::$postTypeSlug . "_description"]),
            'Author' => sanitize_text_field($_POST[emergencyWPSystemEmails::$postTypeSlug . "_author"]),
            'Version' => sanitize_text_field($_POST[emergencyWPSystemEmails::$postTypeSlug . "_version"]),
            'Language' => sanitize_text_field($_POST[emergencyWPSystemEmails::$postTypeSlug . "_language"]),
            'Source-URL' => sanitize_text_field($_POST[emergencyWPSystemEmails::$postTypeSlug . "_source-url"]),
        );

        if ($emailAddOn == 'trustees') {
            EmergencyWPTrusteesSystemEmails::$aliveInfo = $emailFile;
            EmergencyWPTrusteesSystemEmails::saveUserEmailTemplate(sanitize_text_field($_POST[emergencyWPSystemEmails::$postTypeSlug . "_message"]), $headers);
        } else if ($emailAddOn == 'dc') {
            EmergencyWPDCSystemEmails::$aliveInfo = $emailFile;
            EmergencyWPDCSystemEmails::saveUserEmailTemplate(sanitize_text_field($_POST[emergencyWPSystemEmails::$postTypeSlug . "_message"]), $headers);
        } else if ($emailAddOn == 'ewpVault') {
            EmergencyWPVaultSystemEmails::$aliveInfo = $emailFile;
            EmergencyWPVaultSystemEmails::saveUserEmailTemplate(sanitize_text_field($_POST[emergencyWPSystemEmails::$postTypeSlug . "_message"]), $headers);
        }  else {
            emergencyWPSystemEmails::$aliveInfo = $emailFile;
            emergencyWPSystemEmails::saveUserEmailTemplate(sanitize_text_field($_POST[emergencyWPSystemEmails::$postTypeSlug . "_message"]), $headers);
        }
    }
    do_action("wpEmergency_form_email_template_save");
}

$emailList = apply_filters('wpEmergency_email_templates_files', $emailList);
?>

<div class="panel-group" id="accordion">
    <?php
    if (isset($_GET['view']) && sanitize_key($_GET['view']) == 'edit') {
        $emailId = intval($_GET['emailId']);
        $emailItem = '';
        foreach ($emailList AS $emailListItem) {
            if ($emailListItem['id'] == $emailId) {
                $emailItem = $emailListItem;
            }
        }
        if (is_array($emailItem)) {
            $emailTitle = $emailItem['title'];
            $emailAddOn = $emailItem['add_on'];
            $headers = '';
            if ($emailAddOn == 'trustees') {
                $emailHeaderInfos = EmergencyWPTrusteesSystemEmails::getEmailHeaderInfo($emailId);
                $emailSubject = EmergencyWPTrusteesSystemEmails::getEmailSubject($emailId);
                $emailDescription = EmergencyWPTrusteesSystemEmails::getEmailDescription($emailId);
                $emailContent = EmergencyWPTrusteesSystemEmails::getEmailEditableContent($emailId);
            } else if ($emailAddOn == 'dc') {
                $emailHeaderInfos = EmergencyWPDCSystemEmails::getEmailHeaderInfo($emailId);
                $emailSubject = EmergencyWPDCSystemEmails::getEmailSubject($emailId);
                $emailDescription = EmergencyWPDCSystemEmails::getEmailDescription($emailId);
                $emailContent = EmergencyWPDCSystemEmails::getEmailEditableContent($emailId);
            } else if ($emailAddOn == 'ewpVault') {
                $emailHeaderInfos = EmergencyWPVaultSystemEmails::getEmailHeaderInfo($emailId);
                $emailSubject = EmergencyWPVaultSystemEmails::getEmailSubject($emailId);
                $emailDescription = EmergencyWPVaultSystemEmails::getEmailDescription($emailId);
                $emailContent = EmergencyWPVaultSystemEmails::getEmailEditableContent($emailId);
            }  else {
                $emailHeaderInfos = emergencyWPSystemEmails::getEmailHeaderInfo($emailId);
                $emailSubject = emergencyWPSystemEmails::getEmailSubject($emailId);
                $emailDescription = emergencyWPSystemEmails::getEmailDescription($emailId);
                $emailContent = emergencyWPSystemEmails::getEmailEditableContent($emailId);
            }
            if (!$emailSubject) {
                $emailSubject = __($emailItem['subject'], 'emergencywp');
            }

            ?>
            <h3><?php echo __('Email template: ' . esc_attr($emailItem['title']), 'emergencywp'); ?></h3>
            <form id="eWP-edit-email-template" method="post" action="" method="post" autocomplete="off">
                <table class="form-table form-table-eWP">
                    <tr>
                        <td class="user-info">
                            <div id="subjectdiv">
                                <div id="subjectwrap">
                                    <label class="screen-reader-text" id="title-prompt-text"
                                           for="title"><?php echo __('Enter subject here', 'emergencywp'); ?></label>
                                    <label><?php echo __('Subject', 'emergencywp'); ?></label><br>
                                    <input id="subject" class="form-control" type="text" size="80"
                                           name="<?php echo emergencyWPSystemEmails::$postTypeSlug; ?>_subject"
                                           value="<?php echo stripcslashes($emailSubject); ?>"
                                           placeholder="<?php echo empty($emailSubject) ? __('Enter subject here', 'emergencywp') : ''; ?>"/>
                                </div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="user-info">
                            <div id="description-div">
                                <div id="description-wrap">
                                    <label class="screen-reader-text" id="title-prompt-text"
                                           for="title"><?php echo __('Enter description here', 'emergencywp'); ?></label>
                                    <label><?php echo __('Description', 'emergencywp'); ?></label>
                                    <textarea id="description" class="form-control" type="text" style="width:100%;"
                                              rows="7"
                                              name="<?php echo emergencyWPSystemEmails::$postTypeSlug; ?>_description"
                                              placeholder="<?php echo empty($emailDescription) ? __('Enter description here', 'emergencywp') : ''; ?>"><?php echo nl2br($emailDescription); ?></textarea>
                                </div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div id="postdivrich" class="postarea wp-editor-expand">

                                <div class="input-control"><?php
                                    $args = array(
                                        "textarea_rows" => 20,
                                        "teeny" => true,
                                        "autop" => false,
                                        "editor_class" => "ewp-merge-tag-support",
                                        'media_buttons' => false,
                                    );
                                    wp_editor(html_entity_decode($emailContent), emergencyWPSystemEmails::$postTypeSlug . "_message", $args);

                                    ?></div>

                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="user-actions">
                            <p class="submit">
                                <input type="hidden" name="emailId" value="<?php echo $emailId; ?>"/>
                                <input type="hidden" name="settings-email-template-save" value="save"/>
                                <input type="submit" name="submit" id="submit" name="settings-email-template-save"
                                       class="button button-primary"
                                       value="<?php _e('Save Changes', 'emergencywp') ?>"/>

                                <a href="admin.php?page=emergencywp&subpage=email-templates"
                                   class="button button-primary cancel-button"><?php _e('Cancel', 'emergencywp') ?></a>
                                <?php $um_settings_nonce = wp_create_nonce('um-settings-nonce'); ?>
                                <input type="hidden" name="__umnonce" value="<?php echo $um_settings_nonce; ?>"/>
                                <?php
                                if (is_array($emailHeaderInfos)) {
                                    foreach ($emailHeaderInfos as $key => $emailHeaderInfo) {
                                        if ($key != 'Subject' && $key != 'Description') {
                                            ?>
                                            <input type="hidden"
                                                   name="<?php echo emergencyWPSystemEmails::$postTypeSlug; ?>_<?php echo strtolower($key); ?>"
                                                   value="<?php echo $emailHeaderInfo; ?>"/>
                                            <?php
                                        }
                                    }
                                }
                                ?>
                            </p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="placeholders"><span
                                        class="dashicons dashicons-tag"></span><?php echo __('You can use the following placeholders:', 'emergencywp'); ?>
                            </p>
                            <p class="mandator_user"><span class="dashicons dashicons-admin-users"></span><b>{user:full_name}</b>
                                <!-- <?php echo __('This is the explination', 'emergencywp'); ?> --></p>
                            <table class="mandator_table">
                                <tr>
                                    <td><b>{user:first_name}</b></td>
                                    <td>WordPress.com allows you to build a website that meets your unique needs. Start
                                        a
                                        blog, business site, portfolio, online store, or anything else you can imagine.
                                    </td>
                                </tr>
                                <tr>
                                    <td><b>{user:confirmation_url}</b></td>
                                    <td>WordPress.com allows you to build a website that meets your unique needs. Start
                                        a
                                        blog, business site, portfolio, online store, or anything else you can imagine.
                                    </td>
                                </tr>
                                <tr>
                                    <td><b>{lifecheck:frequency}</b></td>
                                    <td>WordPress.com allows you to build a website that meets your unique needs. Start
                                        a
                                        blog, business site, portfolio, online store, or anything else you can imagine.
                                    </td>
                                </tr>
                                <tr>
                                    <td><b>{lifecheck:time_frame}</b></td>
                                    <td>WordPress.com allows you to build a website that meets your unique needs. Start
                                        a
                                        blog, business site, portfolio, online store, or anything else you can imagine.
                                    </td>
                                </tr>
                                <tr>
                                    <td><b>{contact:first_name}</b></td>
                                    <td>WordPress.com allows you to build a website that meets your unique needs. Start
                                        a
                                        blog, business site, portfolio, online store, or anything else you can imagine.
                                    </td>
                                </tr>
                                <tr>
                                    <td><b>{user:private_message}</b></td>
                                    <td>WordPress.com allows you to build a website that meets your unique needs. Start
                                        a
                                        blog, business site, portfolio, online store, or anything else you can imagine.
                                    </td>
                                </tr>
                                <tr>
                                    <td><b>{user:confirmation_url}</b></td>
                                    <td>WordPress.com allows you to build a website that meets your unique needs. Start
                                        a
                                        blog, business site, portfolio, online store, or anything else you can imagine.
                                    </td>
                                </tr>
                                <tr>
                                    <td><b>{trustee:first_name}</b></td>
                                    <td>WordPress.com allows you to build a website that meets your unique needs. Start
                                        a
                                        blog, business site, portfolio, online store, or anything else you can imagine.
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </form>
            <?php
        } else {
            echo __('Opss template not found. Please try again!', 'emergencywp');
        }
        ?>
    <?php } else { ?>
        <!-- start accordions -->
        <h3><?php echo __('Email Management', 'emergencywp'); ?></h3>
        <div class="panel">
            <table class="wp-list-table widefat fixed striped emailnotifications">
                <thead>
                <tr>
                    <th scope="col" id="email" class="manage-column column-email column-primary">Email</th>
                    <th scope="col" id="last_updated" class="manage-column column-update column-primary">Last updated
                    </th>
                    <th scope="col" id="last_updated" class="manage-column column-update column-primary">Description
                    </th>
                    <th scope="col" id="configure" class="manage-column column-configure">Action</th>
                </tr>
                </thead>
                <?php foreach ($emailList as $emailItem) {

                    $emailAddOn = $emailItem['add_on'];
                    if ($emailAddOn == 'trustees') {
                        $emailModifiedDate = EmergencyWPTrusteesSystemEmails::getTemplateFileModifiedDate($emailItem['id']);
                        $emailDescription = EmergencyWPTrusteesSystemEmails::getEmailDescription($emailItem['id']);
                    } else if ($emailAddOn == 'dc') {
                        $emailModifiedDate = EmergencyWPDCSystemEmails::getTemplateFileModifiedDate($emailItem['id']);
                        $emailDescription = EmergencyWPDCSystemEmails::getEmailDescription($emailItem['id']);
                    } else if ($emailAddOn == 'ewpVault') {
                        $emailModifiedDate = EmergencyWPVaultSystemEmails::getTemplateFileModifiedDate($emailItem['id']);
                        $emailDescription = EmergencyWPVaultSystemEmails::getEmailDescription($emailItem['id']);
                    }  else {
                        $emailModifiedDate = emergencyWPSystemEmails::getTemplateFileModifiedDate($emailItem['id']);
                        $emailDescription = emergencyWPSystemEmails::getEmailDescription($emailItem['id']);
                    }
                    ?>
                    <tr>
                        <td><?php echo $emailItem['title']; ?></td>
                        <td><?php echo $emailModifiedDate; ?></td>
                        <td><?php echo $emailDescription; ?></td>
                        <td>
                            <a href="admin.php?page=emergencywp&subpage=email-templates&view=edit&emailId=<?php echo $emailItem['id']; ?>"
                               class="edit-button">
                                <!-- <?php echo __('Edit Template', 'emergencywp'); ?> -->
                                <span class="dashicons dashicons-edit"></span>
                            </a>
                        </td>
                    </tr>
                    <?php
                }
                ?>
            </table>
        </div>
    <?php } ?>
</div>