<?php

$now = time();

?>

	<div class="submitbox" id="submitpost">

		<?php do_action( 'post_submitbox_start' ); ?>
		<div id="preview-action">
			<input type="hidden" name="wp-preview" id="wp-preview" value="" />
		</div>
		<div class="clear"></div>

		<div>
			<div id="misc-publishing-actions">

				<span class="spinner ajax-loading" id="ajax-loading"></span>

				<div id="delete-action">
					<?php if ( current_user_can( 'delete_post', $post->ID ) ) : ?>
						<p class="clear" id="delete-field">
							<a class="submitdelete deletion" href="<?php echo get_delete_post_link( $post->ID ); ?>">
								<?php ( ! EMPTY_TRASH_DAYS ) ? esc_html_e( 'Delete Permanently', 'emergencywp' ) : esc_html_e( 'Move to Trash', 'emergencywp' ); ?>
							</a>
						</p>
					<?php endif; ?>
				</div>
			</div>

			<div id="major-publishing-actions">
				<div id="publishing-action">

					<?php if ( 'finished' == $post->post_status ) : ?>

						<?php if ( $can_publish ) : ?>

							<input name="save" type="submit" class="button-primary" id="publish" tabindex="15" accesskey="p" value="<?php esc_attr_e( 'Update', 'emergencywp' ) ?>" />

						<?php endif; ?>

					<?php elseif ( in_array( $post->post_status, array( 'draft', 'auto-draft' ) ) ) : ?>

						<input name="original_publish" type="hidden" id="original_publish" value="<?php esc_attr_e( 'Publish', 'emergencywp' ) ?>" />
						<?php submit_button( __( 'Save as draft', 'emergencywp' ), '', 'draft', false, array( 'accesskey' => 'd' ) ); ?>
						<?php submit_button( __( 'Save', 'emergencywp' ), 'primary', 'publish', false, array( 'accesskey' => 'p' ) ); ?>

					<?php else : ?>

						<input name="original_publish" type="hidden" id="original_publish" value="<?php esc_attr_e( 'Update', 'emergencywp' ) ?>" />
						<?php submit_button( __( 'Save', 'emergencywp' ), 'primary', 'publish', false, array( 'accesskey' => 'p' ) ); ?>


					<?php endif; ?>
				</div>
				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>

	</div>

<?php
/**
 * Created by PhpStorm.
 * User: ionut
 * Date: 02/05/2019
 * Time: 22:14
 */